PETSc version 3.15.5
Fix/Edit manual page

# PetscFECreateTabulation

Tabulates the basis functions, and perhaps derivatives, at the points provided.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreateTabulation(PetscFE fem, PetscInt nrepl, PetscInt npoints, const PetscReal points[], PetscInt K, PetscTabulation *T)

Not collective

### Input Parameters

| fem | - The PetscFE object
| nrepl | - The number of replicas
| npoints | - The number of tabulation points in a replica
| points | - The tabulation point coordinates
| K | - The number of derivatives calculated

### Output Parameter

| T | - The basis function values and derivatives at tabulation points

### Note

    T->T[0] = B[(p*pdim + i)*Nc + c] is the value at point p for basis function i and component c

    T->T[1] = D[((p*pdim + i)*Nc + c)*dim + d] is the derivative value at point p for basis function i, component c, in direction d

    T->T[2] = H[(((p*pdim + i)*Nc + c)*dim + d)*dim + e] is the value at point p for basis function i, component c, in directions d and e

### See Also

PetscFEGetCellTabulation(), PetscTabulationDestroy()

### Level

intermediate

### Location

src/dm/dt/fe/interface/fe.c

### Implementations

PetscFECreateTabulation_Basic in src/dm/dt/fe/impls/basic/febasic.c
PetscFECreateTabulation_Composite in src/dm/dt/fe/impls/composite/fecomposite.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages